OptiFine 1.9.4_HD_U_I5
 (HD_U_I3)
 - right click selects previous value in shader options (#4706)
 - added more steps for shaders render quality (#4556)
 - fixed server connection with java 9+ (#3773, #3959, #4656, #4667)
 - added Forge license (#4654)
 - fixed leaking resource on startup (#4678) 
 (HD_U_I2)
 - added wrap and filter modes for raw shader textures (#2905)
 - fixed zoom to not reset cinematic camera
 (HD_U_I1)
 - fixed shaders to render world border with program textured_lit (#3979)
 - optimized underwater particles
 - fixed shaders block selection, hitboxes and chunk borders (#3601, #3818)
 - fixed void rendering with shaders (#3673)
 - fixed player shadow with shaders in spectator mode (#4022)
 - fixed CEM animation parameters pos_y, pos_z (#4033)
 - added shortcut key for shader options "F3+O"
 - fixed Smart Animations crash
 - optimized memory allocation (debug screen)
 (HD_U_H6)
 - fixed flickering of min. FPS
 - compatible with Forge #2051
(15.12.2020)

OptiFine 1.9.4_HD_U_H5
 - fixed crash when reloading textures (#3125)
 - fixed invisible mobs around the player
 - fixed shaders integer texture formats (#3109)
 - fixed main menu animation speed
 - fixed resource pack not saving (#3106)
 - fixed mouse delay (MC-67665)
 - fixed crash in cape editor
 - fixed CEM for horse and villager
 - fixed CTM corners with innerSeams
 - compatible with Forge #2051
(04.12.2019)

OptiFine 1.9.4_HD_U_H4
 - fixed shaders to stop chunk updates on shader pack reload (#3001)
 - fixed Forge patch for IntegratedServer (#2990)
 - fixed Emissive Textures with Astral Sorcery (#1581)
 - added Random Entities check for moon phase, day time and weather (#2931)
 - added Random Entities check for health (#2958)
 - translations
 - fixed Cape Editor screen to allow copy link to clipboard on error
 - added Random Entities check for baby mobs (#2832)
 - fixed Smart Animations for blocks in minecarts (#2731)
 - added shaders program "gbuffers_entities_glowing" (#2328) 
 - translations
 - fixed texture resizing with mipmaps
 - fixed lag spike on autosave
 - fixed autosave interval (#1995)
 - moved time, weather and clear water checks in IntegratedServer
 (HD_U_H3)
 - fixed CEM handling of attached models (#2323)
 - added CEM model adapter aliases (v1132_U_E5_pre3)
 - added shaders instancing for composite programs 
 - added shaders instancing as alternative to geometry shaders
 - fixed shaders #include on first line
 (HD_U_H2)
 - fixed crash in CIT (#2624)
 - added support for raw shader textures (#2631)
 - fixed geometry shaders on Intel/AMD (#2359)
 - fixed leashed horse GUI with shaders (#2545)
 (HD_U_H1)
 - fixed shaders horizon rendering (#2522)
 - fixed sign edit screen in multiplayer (#2422, #2091)
 - added Random Entities check for wolf collar colors (#2447)
 - fixed CTM overlay crash (#2436)
 - fixed cape position when flying up
 - fixed parsing of shaders macro: #if 0
 (HD_U_G8)
 - fixed shader programs above composite9 and deferred9 (#2251)
 - fixed translucent block ordering with shadowmap (#2287)
 - fixed structure void rendering (#847)
 (HD_U_G7)
 - added custom uniform parameters: temperature, rainfall
 - fixed cape elytra when changing dimensions (#2203)
 (HD_U_G6)
 - extended shaders custom textures with normal/specular variants (#2120)
 (HD_U_G5)
 - fixed shaders list sorting
 - fixed CEM for armor stand (#2057)
 - fixed particle tick lag (#2022)
 - fixed CTM method repeat for bottom faces (#1845)
 - fixed shader dimensions on world change (#1844)
 - added custom clear color for shader buffers
 - removed shaders programs deferred/composite_last, added deferred/composite_pre
 - reorganized shaders buffer flipping
 - fixed shaders deferred pass breaking water
 - fixed world memory leak
 - added optifine cape customization (server login + redirect to website)
 - fixed support for optifine cape elytra 
 (HD_U_G4)
 - fixed shaders entity mapping to be optional (1.12)
 - fixed shaders block mapping to be optional (1.12)
 - added stack trace and rate limit for OpenGL errors
 - fixed shaders block entity mapping 
 - fixed particle.water and spawn egg colors
 - added shaders entity mapping
 - added support for elytra matching the optifine cape
 - added shaders item mapping
 - added macro processing for shaders properties
 - optimized sign and item frame rendering
 - fixed properties files parsing to ignore trailing spaces
 - fixed zoom key conflict
 - optimized chunk loading
 - fixed missing chunks when loading the world
 - fixed shader options sliders
 - fixed Better Grass for grass path block (#1684)
 - fixed rendering of players with non-latin usernames (#1637)
 - fixed crash in Statistics
 - fixed Fast Math accuracy
 - added shader uniform "fogDensity"
 - fixed crash with Chunk Pregenerator (#2116)
 (HD_U_G3)
 - fixed world memory leak (#1835)
 - added native memory info in debug screen
 - fixed out of memory crash with shaders
 - fixed parsing of full CTM paths (#1700)
 - fixed Dynamic Lights to correctly reset on enable/disable (#1680)
 (HD_U_G2)
 - optimized memory allocation
 - optimized chunks loading, about 2x faster now
 - extended Show FPS and debug screen to show minimum FPS
 - fixed shield and bow model variants (#1516)
 - fixed distant higher chunks disappearing in multiplayer (#1522)
 - fixed crash with Voxelmap and Smart Animations (#1524)
 - fixed shaders to correctly restore custom gbuffers textures after deferred programs
 - fixed shader uniforms entityId and blockEntityId in shadow program 
 - fixed handling of relative paths for ZIP shader packs
 - optimized rendering of item models with many predicates (#1500)
 - compatible with Forge #2051
(04.11.2019)

OptiFine 1.9.4_HD_U_G1
 - fixed armor slots with player on fire and AA/AF enabled (#1495)
 - fixed fire in first person with Smart Animations (#1487) 
 - fixed experience bar transparency (#1471)
 - fixed emissive texture loading
 - fixed crash in chunk visibility check (#1413)
 - fixed entities on fire with AA/AF/SmartAnimations (#1415)
 - fixed shaders custom textures in gbuffers_water (#1425)
 - increased composite and deferred shader programs to 16 
 - added interpolate and frame skip to Custom Animations
 - fixed sign text render distance to depend on screen resolution and FOV  
 - added system property "log.detail=<true|false>" for extended logging
 - reduced logging when loading sprites (custom loader, sprite dependency) 
 - added CTM tile name <default>
 - added option Smart Animations
 - added dynamic lights for mods
 - fixed disabled shader programs in dimension folder
 - fixed OpenGL error when disabling Fast Render
 - reorganized shader programs
 - reorganized source packages
 (HD_U_F3)
 - fixed sampler binding for programs "gbuffers_beaconbeam", "gbuffers_item" and "gbuffers_armor_glint" 
 - fixed shaders uniform "isEyeInWater" to work in 3rd person view
 (HD_U_F2)
 - fixed horse random textures (#1357) 
 - fixed crash with Galacticraft (#1366)
 - fixed shaders projection matrix when underwater (#1344, #827)
 - added option Show OpenGL Errors
 - added support for geometry shaders ".gsh" (#1355)
 - extended CIT to check for alternative shield models (#1169)
 - added shaders uniform blendFunc (#884)
 - fixed End loading bug (#1326)
 - removed width and height limits for CTM method "repeat"
 - fixed shaders uniform "depthtex1" in program "gbuffers_water"
 (HD_U_F1)
 - extended new version message to include link to optifine.net 
 - custom shader textures by location (resource pack, dynamic textures) (#1304)
 - fixed compatibility with PortalGun mod
 - fixed water fog density/color for Respiration > 3 (#1289)
 - fixed chunk visibility culling for custom view entity (#1286) 
 - added shader profile tooltips
 - fixed a very cool chunk loading bug (http://y2u.be/QUI7iRR9FD8)  
 - added shaders version check
 - added shaders property "frustum.culling"
 - fixed shaders camera position in shadow program
 - added shaders option "separateAo"
 - fixed water old lighting with shaders
 - fixed shader uniform atlasSize in program gbuffers_hand
 - added full macro processing for #if and #elif expressions
 - fixed multi-pass CTM with missing intermediate textures (Halcyon Days)
 - fixed loading of GitHub zipped shader packs with world folders 
 - optimized shaders shadow culling
 - fixed shaders to work properly at high coordinate values (#1240)
 - fixed flickering water bottom texture with AA/AF enabled
 - extended shader configuration parsing to be affected by preprocessor conditional directives
 - added option Render Regions
 - optimized VBO rendering
 - optimized visibility cullung
 - optimized loading of visible chunks (F3+L)
 (HD_U_E9)
 - extended shaders to define custom block render layers (#1210)
 - added CTM properties "randomLoops" and "innerSeams"
 - added CTM methods "overlay_fixed", "overlay_random", "overlay_repeat" and "overlay_ctm" (#1145)
 - added shaders configuration for beacon beam depth (#796)
 - added shaders configuration for rain/snow depth (#532)
 - added vector custom uniforms (#1155)
 - added matrix access for custom uniforms (#1155)
 - enable or disable programs depending on shader options
 - added support for shaders in GitHub ZIP files
 - added configurable buffer flip for composite programs (#1103)
 - added variable resolution for composite programs (#1103)
 - fixed option Portal Particles (#1146)
 - added button Download Shaders, opens "http://shaders.wikia.com/wiki/Shader_Packs" in a browser
 - added commands "/reloadShaders" and "/reloadChunks"
 - fixed Forge cloud renderer breaking cloud height and shader clouds (#1141)
 - fixed normal maps for banner, horse and player models (1140)
 (HD_U_E8)
 - fixed shaders program fallback (sildurs enhanced redone)
 - added alpha test and blend mode per shaders program
 - updated shaders function "smooth" to use automatic ID
 - optimized shader uniforms (cached location and last value per program)
 - replaced Random Mobs with Random Entities, extended to support all entities and tile entities
 - enabled shader uniforms "entityId" and "blockEntityId" for the shadow pass (#1075)
 - extended CTM to check for named tile entities
 - fixed crash when disabling shaders (Charset #165)
 - limit shaders options tooltips to 8 lines
 - added custom block render layers
 - added custom loading screens per dimension
 - compatible with Forge #2051
(28.06.2018)

OptiFine 1.9.4_HD_U_E7
 - fixed mob spawning rate (#1055)
 - extended shaders custom uniforms to access vector components
 - fixed crash with Botania and CTM (#1037)
 - fixed shader configuration parsing (vsh, comments)
 - fixed crash with Chisel when AA/AF is enabled
 - added Custom Sky options: biomes, heights and transition (#892)
 - fixed Custom Sky resetting at time 6000 when rotation speed is not an integer (#804)
 - removed render distance check for vanilla stars when custom sky layers are available
 - added shaders options tooltips (#980)
 - extended shaders configuration to re-enable program disabled in parent profile
 - optimizaed memory allocation
 - added custom shader uniforms (#924)
 - fixed race conditions in chunk loading
 - added CTM property "linked" for double plants and doors
 - reset shadowmap configuration on shader pack reload  
 - fixed emissive textures loading, reloading and z-fighting on mob models
 - added alternative Mooshroom mushroom model, uses "assets/minecraft/textures/entity/cow/mushroom_red.png"
 - fixed crash when username contains ASCII 0 (#999) 
 - added option Emissive Textures, moved configuration to "assets/minecraft/optifine/emissive.properties"
 - added emissive overlays for items, mobs and block entities
 - extended Custom Colors with support for emissive texture overlays
 - fixed missing void when VBO enabled and Y > 64
 - relaxed shaders configuration syntax for DRAWBUFFERS, SHADOWRES, etc.
 - fixed spider eyes z-fighting
 - fixed shaders program gbuffers_spidereyes resetting the entity fog color 
 - added shaders programs deferred_last and composite_last to reset the flipped ping-pong buffers 
 - added entity parameters for CEM animations
 - added boolean expressions for CEM animations
 - added rain and thunder lightmaps (#963)
 - added Random Mobs check by name (#620)
 - added CTM property "heights" (#931)
 - fixed Custom GUIs check by name (#955)
 - added shaders block mapping for Forge mods
 - added shaders program "gbuffers_hand_water" for handheld translucent objects
 - fixed shaders option to skip framebuffer clear
 - added deferred shader programs
 - fixed CIT for custom potions
 - fixed shaders normal/specular animations
 - optimized chunk loading, speedup 2x
 - increased maximum Render Distance to 64 chunks
 - added Lazy Chunk Loading for multi-core CPUs
 - optimized Load Visible Chunks (F3+L) to work faster 
 - optimized memory allocation
 (HD_U_E6)
 - fixed string width calculation for HD fonts
 - fixed custom texture animations not working in main menu (#920)
 - updated shaders, added custom noise texture
 - added Custom GUIs
 - fixed Load Visible Chunks (F3+L) to avoid conflict with Advancements
 - optimized shader option parsing
 - added shader macros for user options (FXAA, Normal Map, Specular Map, Render Quality, etc.)
 (HD_U_E5)
 - updated shader options, added configurable screen columns
 - added shader options value formatting (prefix and suffix)
 - added support for local player models
 - fixed Forge custom sprite loading with dependencies (Tinkers Construct)
 - enabled shaders program "gbuffers_beaconbeam"
 - fixed Smart Leaves not culling when decayable state is different
 - fixed memory leak in cape download
 - fixed shaders to load files only from the shader pack
 - added font alpha blending
 - fixed shader options crash on right click
 - added custom underlava fog colors
 - fixed Lagometer with Forge
 - fixed Random Mobs to use entity UUID in multiplayer
 - added Better Grass option "grass.multilayer"
 - compatible with Forge #2051
(13.12.2017)

OptiFine 1.9.4_HD_U_E3
 - fixed ghost blocks in chunk cache
 - fixed lowercase check
 - fixed swamp water color when Swamp Colors is OFF
 - fixed conflict with Emojiful
 - added shader option sliders
 - added shader texture formats R16F, RG16F, RGB16F, RGBA16F and RGB9_E5
 - fixed CTM, Custom Colors and Shaders block matching to better handle missing blocks
 - added support for CIT models
 - updated installer to use launchwrapper 1.12
 - updated CTM to allow overlays on non-full flocks (farmland, grass path)
 - fixed CTM compact with translucent textures (stained glass)
 - extended CIT NBT rules, values starting with "!" perform a negative match (#606)
 - fixed crash with Forestry when Smart Trees (leaves) is enabled
 - extended shaders uniform isEyeInWater, added value 2 when the camera is in lava  
 - fixed tall grass rendering in the End when mipmaps are enabled
 - fixed item pickup animation using wrong shaders program
 - fixed entity shadows using wrong shaders programs (spiders, players, enchanted items)
 - added shaders compatible rendering for end portals
 - fixed CEM for zombie_pigman
 - compatible with Forge #2051
(26.10.2017)

OptiFine 1.9.4_HD_U_D8
 - fixed crash when Forge has mod dependency errors and skips the TextureMap loading (Forge #2273+)
 - added shaders shadow optimization "shadowDistanceRenderMul" (#489) 
 - fixed shaders loading "block.properties" (#569) 
 - added shaders uniforms "nightVision", "blindness" and "screenBrightness"
 - added shaders property "vignette"
 - fixed enchanted items in hotbar when running with Forge and vignette is disabled (#487) 
 - added shader macro MC_VERSION
 - fixed shaders off hand rendering when main hand has echanted item (#481)
 - compatible with Forge #2051
(04.05.2017)

OptiFine 1.9.4_HD_U_D7
 - updated shaders: added gbuffers uniforms gaux1 to gaux4, only used as custom textures
 - fixed Forge RenderHandEvent to work with shaders 
 - updated shaders: fixed depth of translucent handheld objects
 - fixed CIT for elytra on armor stand
 - updated shaders: added support for custom textures
 - updated CustomItems: NBT integer as hex color, list size as "count", property "hand=any|main|off"
 - updated CustomColors to reload banner textures
 - updated GUI Scale: right click = previous value, Shift + click = reset
 - fixed FontRender.charWidth causing crash with Forge #2223
 - updated shader options: added non-numerical values "#define SHADOW_MODE HARD // [HARD SOFT REAL]"
 - updated shader options: added user friendly values from resources
 - updated shader options: right click = previous value, Shift + click = reset
 - added F3+L to force loading of all visible chunks 
 - added shader macros for OpenGL extensions
 - added shader macros for OS, OpenGL version, GLSL version, GPU vendor and GPU renderer 
 - added shader uniform "worldDay"
 - fixed shader uniform "worldTime" overflow for very old worlds
 - extended GUI Scale to support 4K displays
 - optimized resource loading
 - optimized GUI lists to render only visible slots (resource pack list)
 - fixed shaders to save options on ESC 
 - added support for "palette.format" from "color.properties"
 - added fix for MC-98707
 - fixed crash with Railcraft and AA/AF enabled 
 - fixed NPE in shaders when renderViewEntity is NULL
 - fixed transparent hand with shaders when the world border is visible
 - fixed CEM animation operator "%"
 - fixed CEM for ender crystal
 - added Custom Sky option "weather=clear|rain|thunder"
 - fixed cloud color transitions
 - fixed Custom Sky not visible for Render Distance below 8 chunks
 - added support for animated normal and specular textures
 - added shaders uniforms "frameCounter" and "frameTime" 
 - added shaders option to skip framebuffer texture clear
 - fixed fog affecting the debug renderer
 - fixed CEM models glowing with shaders (spider, enderman, dragon)
 - fixed "nbsp" character to render as space
 - fixed shaders bug: centerDepthSmooth not working when gaux4 is active
 - fixed CEM custom texture overriding TileEntity destroy overlay 
 - fixed CEM model scale
 - fixed minecart CEM model
 - fixed render distance Extreme in The End
 - reorganized reflection support
 - fixed ambient sounds not playing (vanilla bug MC-91803)
 - added negative biome check ("biomes=!Biome1 Biome2 ..." - all biomes except the given ones)
 - fixed shaders using upPosition from previous frame
 - added block ID mapping for shaders
 - updated documentation
 - updated Custom Items to recognize enchantment names 
 - fixed CEM for ender dragon and enderman
 - updated shaders to use "gbuffers_armor_glint" for enchanted handheld and dropped items
 - fixed option Screenshot Size to keep the relative size of toolbar and menus
 - fixed crash when loading tile entities (flower pot) 
 - fixed option Screenshot Size to keep the relative size of toolbar and menus
 - fixed custom potion textures
 - fixed custom potion colors
 - added option Screenshot Size (1x to 4x)
 - fixed invisible entities in multiplayer 
 - fixed crash with ExtraUtilities2 (broken EnderLilly model)
 - fixed end sky custom color
 - added CEM animation operator "%" and function "fmod(x,y)"
 - added option Advanced Tooltips - shows extended information for items and shader options (F3+H)
 - extended the shaders "#include" parser to add "#line" directives with file and line numbers
 - updated CTM overlays to work for transparent blocks
 - added xporb animation duration (xporb.time in color.properties, value in ms)
 - fixed Forge spash screen crashing on Mac OS
 - added custom item durability colors: assets/minecraft/mcpatcher/colormap/durability.png
 - fixed "IllegalStateException: Splash thread", caused by "FileNotFoundException: mcpatcher/font/ascii.png"
 - better error handling for "IllegalStateException: Already building!"
 - optimized render distance Extreme (32 chunks)
 - added CEM scale variables "sx", "sy" and "sz"
 - fixed custom sign text color
 - fixed Forge compatibility (Extra Utilities 2 crash)
 - extended CEM to load textures from vanilla folders
 - added system property "animate.model.living", when "true" all mob models are rendered as moving
 - added custom model animations
 - added Custom Entity Models (CEM)
 - fixed rendering of invalid models (null quad facing)
 - custom models for entities (mobs, boats, minecarts, ...) and tile entities (chests, signs, ...)
 - fixed detection of maximum texture size for modern GPUs 
 - fixed entity rendering when standing still
 - fixed panorama missing texture when changing resource pack 
 - fixed CTM block matching (stained glass "light_blue")
 - added shader options for back-face rendering per layer
 - fixed grass and flowers bounding box to match render model
 - fixed flickering CTM overlays for rotated models
 - fixed custom items handheld rendering  
 - fixed CTM overlays to work only for full face quads
 - fixed Custom Items crash when referencing "assets/minecraft/textures/items"
 - fixed face culling for custom pane models
 - enabled shader variable "ambientOcclusionLevel"
 - fixed Better Snow with shaders and waving grass
 - optimized entity rendering
 - fixed Fast Render default to OFF
 - added custom panoramas
 - added CTM method overlay (block transitions)
 - fixed CTM horizontal and vertical for top and bottom faces
 - added CTM method "ctm_compact" - uses 5 textures instead of 47
 - fixed flowing lava texture
 - fixed texture atlas to correctly grow up to the maximum texture size
 - added shader properties "sun=true|false" and "moon=true|false"
 - fixed Danymic Lights for entities falling outside of the world (y < 0)
 - fixed connected glass pane to only remove up/down segment texture when neighbour has a segment at this side
 - fixed CIT damage as percentage
 - added check for 3D Anaglyph + Shaders
 - added support for shader formats R3_G3_B2, RGB5_A1, RGB10_A2, R11F_G11F_B10F
 - fixed water rendering with top half slabs
 - changed option "Fullscreen Mode" to slider
 - fixed fullscreen mode to show all available resolutions 
 - fixed custom armor to use base texture when layers are not defined  
 - compatible with Forge #2051
 (09.02.2017)

OptiFine 1.9.4_HD_U_B6
 - fixed PureBDCraft saplings in GUI, removed hack for plants, resource packs should use "symmetry=all" for flowers 
 - fixed water block color from below
 - fixed chunk loading race condition
 - fixed connected textures for glass panes to affect only sides (keep top and bottom textures)
 - fixed VSync to be loaded correctly
 - fixed custom animations to check for invalid coordinates
 - fixed rendering of water next to slabs, farmland, grass path, beacon and slime blocks 
 - fixed natural textures for grass_path_side
 - fixed side of connected glass panes
 - added shader option "underwaterOverlay"
 - fixed F3+R to reload shader properties
 - compatible with Forge #1987
 (16.06.2016)

OptiFine 1.9.4_HD_U_B5
 - fixed custom sheep colors
 - fixed dynamic lights: blaze rod, blaze powder, glowstone dust, prismarine crystals, magma cream, spectator mode, tnt, creeper
 - fixed unicode font rendering with HD resource packs
 - added shaders option dynamicHandLight - can be used to disable the dynamic hand light if the shader implements its own hand light
 - added option Details -> Alternate Blocks
 - optimized chunk updates
 - added Dynamic Lights (off, fast, fancy)
 - fixed barrier particles performance
 - fixed barrier block in off hand to show barrier particles
 - fixed world border to use program gbuffers_textured_lit
 - fixed clouds to use program gbuffers_clouds
 - replaced shader uniforms entityHurt and entityFlash with entityColor (rgba)
 - fixed enchanted armor to use program gbuffers_armor_glint
 - added shader uniforms entityId and tileEntityId
 - removed Forge UV hack, fixed 3D item sides
 - updated shaders documentation
 - added shader suppot for more texture formats (signed normalized, integer, unsigned integer)
 - fixed shader uniform "entityHurt" to not affect other entities
 - compatible with Forge #1937
 (06.06.2016)

OptiFine 1.9.4_HD_U_B4
 - updated to Minecraft 1.9.4
 - compatible with Forge #1909
 (12.05.2016)

OptiFine 1.9.2_HD_U_B3
 - added folder selection in installer
 - fixed "#include" for vertex shaders
 - added custom textures for elytra, use "type=elytra" in the CIT properties
 - added option "Details -> Dynamic FOV" - enables or disables the FOV change when flying or sprinting
 - skip classloader injection when loaded in a Forge server
 - added "offsetBold" in font properties (assets/minecraft/textures/font/ascii.properties), default is 1.0 for 16x and 0.5 for 32x and above
 - updated CTM for rotated pillars (wood, quartz) to allow properties to select rotated variants
 - fixed rotated logs with Fancy CTM
 (10.05.2016)

OptiFine 1.9.2_HD_U_B2
 - fixed block shading with Forge
 - added build number
 - fixed loading of world resource packs with Forge
 - fixed connected textures for rotated logs
 - added option "shadowTranslucent=true|false" to "shaders.properties" - disables translucent blocks in shadow pass
 - optimized memory allocation
 - updated Forge compatibility, not backwards compatible
 - fixed Natural Textures for snow layer sides
 - added Better Grass for grass paths, snowy podzol and snowy mycelium
 - added Better Grass configuration (per block, textures)
 - fixed ForgeHooksClient.onDrawBlockHighlight
 - fixed off hand rendering with shaders
 - added shader uniforms "heldItemId2" and "heldBlockLightValue2" 
 - added shader option Old Hand Light for backward compatibility with shaders packs supporting only main hand light
 - added option "oldHandLight=true|false" in "shaders.properties"
 (27.04.2016)
 
OptiFine 1.9.2_HD_U_B1
 - updated to Minecraft 1.9.2
 (03.04.2016)

OptiFine 1.9.0_HD_U_B1
 - fixed memory usage with AF and AA
 - fixed single-core chunk loading
 - enabled simple spectral effect when Fast Render, Antialiasing or Shaders are active
 - fixed chunk loading when changing dimensions 
 - removed all Mojang content from final JAR  
 - added support for class patches
 - updated to Minecraft 1.9
 - compatible with Forge #1797
 (26.03.2016)